Fórum OpenCart Brasil

Por um e-commerce livre, confiável e profissional

Por favor, poste aqui todas as dúvidas que você está tendo sobre a instalação, atualização ou configuração do OpenCart v3.x
Por veteranodf
Mensagens Especiais Curtidas
#85764
O log do arquivo error_log prova que a extensão zip não esta instalada no PHP, mais como sua hospedagem diz que sim é só vc tirar a prova, crie um arquivo "test.php" em uma pasta do seu servidor com o código abaixo, envie um arquivo "test.zip" para a mesma pasta e acesse o "test.php" pelo navegador, se os arquivos dentro do zip forem listados realmente a extensão esta instalada, caso não sua hospedagem mentiu;
Código: Selecionar todos
<?php
$file = 'test.zip'; //Nome do arquivo;

if (!file_exists($file)) {
    die('Arquivo '.$file.' não existe no servidor, revise!');
}

$zip = zip_open($file);

if ($zip) {
    while ($files = zip_read($zip)) {
        echo  zip_entry_name($files).'<br />'.PHP_EOL;
    }
} else {
    die('Não foi possível abrir o zip, classe não esta instalada no servidor!');
}
?>
#85779
Olá amigos, obrigado por ajudar.

Com o seu auxílio consegui provar que eles mentiram e resolvi o problema :D

Além de fazer o teste que você falou, instalei uma nova versão na unha (sem usar o fantastico) e advinha qual é um dos requisitos para instalar o opencart ? Justamente possuir a extensão zip instalada.

Problema resolvido !!! Enviei um print do requisito do opencart (além do teste que o veterano passou)e finalmente resolveram.

abc e muito obrigado.
veteranodf gostou disso

Você pode entrar em contato com o desenvolve[…]

E-mail não funciona

Boa tarde pessoal, tudo bem com vocês? Esto[…]

Aplicativo da loja.

Olá; Existe alguns sistemas prontos veja n[…]

Integração de login

Obrigado pela idéia, acredito que consigo f[…]